Package org.eclipse.emf.cdo.expressions.impl

# Class EvaluationContextImpl

java.lang.Object
java.util.AbstractMap<String,Object>
java.util.HashMap<String,Object>
org.eclipse.emf.cdo.expressions.impl.EvaluationContextImpl

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Map<String,Object>`, `EvaluationContext`

public class EvaluationContextImpl extends HashMap<String,Object> implements EvaluationContext
A `HashMap`-based default implementation of an `EvaluationContext`.

Author:
  Eike Stepper
See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

## Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K,V>`

## Constructor Summary

Constructors
Constructor
Description
`EvaluationContextImpl()`
`EvaluationContextImpl(int initialCapacity)`
`EvaluationContextImpl(int initialCapacity, float loadFactor)`
`EvaluationContextImpl(Object thisValue)`
`EvaluationContextImpl(Map<? extends String,? extends Object> m)`

## Method Summary

Modifier and Type
Method
Description
`Class<?>`
`getClass(String name)`

### Methods inherited from class java.util.HashMap

`clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, newHashMap, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

### Methods inherited from class java.util.AbstractMap

`equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.cdo.expressions.EvaluationContext

`get`

### Methods inherited from interface java.util.Map

`equals, hashCode`

## Constructor Details

### EvaluationContextImpl

public EvaluationContextImpl()

### EvaluationContextImpl

public EvaluationContextImpl(int initialCapacity, float loadFactor)

### EvaluationContextImpl

public EvaluationContextImpl(int initialCapacity)

### EvaluationContextImpl

public EvaluationContextImpl(Map<? extends String,? extends Object> m)

### EvaluationContextImpl

public EvaluationContextImpl(Object thisValue)

## Method Details

### getClass

public Class<?> getClass(String name)

Specified by:
  `getClass` in interface `EvaluationContext`